package com.fzm.mall.server.admin.distribution.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.distribution.entity.dto.AddressDTO;
import com.fzm.mall.server.admin.distribution.entity.dto.AddressSaveDTO;
import com.fzm.mall.server.admin.distribution.entity.dto.AddressUpdateDTO;
import com.fzm.mall.server.admin.distribution.model.Address;

import java.util.List;

/**
 * <p>
 * 物流中心-地址 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-03
 */
public interface IAddressService extends IService<Address> {

    void save(AddressSaveDTO addressDTO);

    void update(AddressUpdateDTO addressUpdateDTO);

    void delete(String addressId, String merchantId);

    AddressDTO read(String addressId, String merchantId);

    List<AddressDTO> list(String merchantId);

}
